public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/scite/
Date: Sun, 23 Apr 2023 08:02:31 +0000 (UTC)	[thread overview]
Message-ID: <1682236843.3a10082fde0b039efcf32e87a459ce413f70d891.sam@gentoo> (raw)

commit:     3a10082fde0b039efcf32e87a459ce413f70d891
Author:     Ervin Peters <coder <AT> ervnet <DOT> de>
AuthorDate: Sun Mar 12 05:53:23 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Apr 23 08:00:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a10082f

app-editors/scite: add 5.3.5

Closes: https://bugs.gentoo.org/892551
Signed-off-by: Ervin Peters <coder <AT> ervnet.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/30067

 app-editors/scite/Manifest           |  1 +
 app-editors/scite/scite-5.3.5.ebuild | 97 ++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/app-editors/scite/Manifest b/app-editors/scite/Manifest
index cbe9a89da1df..7764d11afc96 100644
--- a/app-editors/scite/Manifest
+++ b/app-editors/scite/Manifest
@@ -1,3 +1,4 @@
 DIST scite-5.1.3.tgz 3427245 BLAKE2B ca765b61cb1fa96934c1e28d76a97cd7086a6c692ae33bb57591dfbc8637ffc94c4a3f20f9c6b55d11da8a76664f1d521f7e393bf6f31db55cbe02e0bf5052ba SHA512 ef86a18f739062598d3c7bf19bcd2f38ca012e890b9b4685c1f1b809e928762ab60d24c33a1f45ca33133ce5007e3a22a76e80222b121c9a4089d3c57aa0bc4c
 DIST scite-5.2.4.tgz 3440615 BLAKE2B a98028774837f7c19a73d3ceef0e7cf945674b0b0d21eec7af4874a1fab1dcbfdad9255adcfb9d458dfc6549baeb27dee3fab207f0145b6c722794a9a96ec284 SHA512 ac3f25fbfe654f4b249c55b2bf97d5ea57483a484feeb30c3663e13366d1a569d9faa22c83b4eb5201154d00713fcd550478573db987084eba0a2e8ea22c57e9
 DIST scite-5.3.0.tgz 3499449 BLAKE2B b54a4eb5c9d669f840efa782d0b02e1b087b386aabbf58dcd37bdc314f42ff6597bf674329c64bbf40befecbc3d3d00aaf13bd03d0f18a28ab6a050049b25336 SHA512 3401ea04019f4fbbd15118a6b2aeffaaeff91382e742cff4df2dcd83ea59e4d43600b288869db9dbe44609fcfad979d29659edbd200b6b0edfa56eac5a9f577d
+DIST scite-5.3.5.tgz 3535798 BLAKE2B 16bd6331b8ab5ef2d700a121d8d85078f6eea2f8c45cfd62c5b27c7c9622f853a871e98402ee3833c09652d869271ed05a61374ee1f55d58dbdcc0f5fcbd681c SHA512 18ed3e802f6f5e66573f72c4ad42d592ea3f79e191e828a32d2d55aaf285a2cb9961e206c9e99f82c77f0975494e9105ac925394d7cf48223b954e253f1dee9c

diff --git a/app-editors/scite/scite-5.3.5.ebuild b/app-editors/scite/scite-5.3.5.ebuild
new file mode 100644
index 000000000000..c761fa526ceb
--- /dev/null
+++ b/app-editors/scite/scite-5.3.5.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-4 )
+
+inherit lua-single toolchain-funcs xdg
+
+DESCRIPTION="A very powerful, highly configurable, small editor with syntax coloring"
+HOMEPAGE="https://www.scintilla.org/SciTE.html"
+SRC_URI="https://www.scintilla.org/${PN}${PV//./}.tgz -> ${P}.tgz"
+
+LICENSE="HPND lua? ( MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86 ~amd64-linux ~arm-linux ~x86-linux"
+IUSE="lua"
+
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
+
+RDEPEND="
+	dev-libs/atk
+	dev-libs/glib:2
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2
+	x11-libs/gtk+:3
+	x11-libs/pango
+	lua? ( ${LUA_DEPS} )"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+	virtual/pkgconfig"
+
+DOCS=("../README")
+
+S="${WORKDIR}/${PN}/gtk"
+
+pkg_setup() {
+	use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+	tc-export AR CC CXX RANLIB
+
+	# remove hardcoded CC, Optimizations and clang unknown flags
+	sed -i "${WORKDIR}/scintilla/gtk/makefile" \
+	-e "s#^CC = gcc#CC = ${CC}#" \
+	-e "s#^CC = clang#CC = ${CC}#" \
+	-e "s#^CXX = clang++#CXX = ${CXX}#" \
+	-e "s#-Os##" \
+	-e "s#-Wno-misleading-indentation##" \
+	|| die "error patching /scintilla/gtk/makefile"
+
+	sed -i "${S}/makefile" \
+	-e "s#^CC = clang#CC = ${CC}#" \
+	-e "s#^CXX = clang++#CXX = ${CXX}#" \
+	-e "s#-rdynamic#-rdynamic ${LDFLAGS}#" \
+	-e "s#-Os##" \
+	|| die "error patching gtk/makefile"
+
+	# repair and enhance the .desktop file
+	sed -i "${S}/SciTE.desktop" \
+	-e "s#text/plain#text/\*;application/xhtml+xml#" \
+	-e "s#^Categories=\(.*\)#Categories=Development;#" \
+	|| die "error patching /scite/gtk/SciTe.desktop"
+
+	#  add the ebuild suffix as shell type for working with ebuilds
+	sed -i "${WORKDIR}/scite/src/perl.properties" \
+	-e "s#\*.sh;\*.bsh;#\*.ebuild;\*.sh;\*.bsh;#" \
+	|| die "error patching /scite/src/perl.properties"
+
+	# it seems that pwd here is ${S}, but user patches are relative to ${workdir}
+	# Bug #576162
+
+	cd "${WORKDIR}" || die "couldn't cd into ${WORKDIR}"
+	eapply_user
+}
+
+src_compile() {
+	# prepare make options
+	local emake_pars=("GTK3=1")
+
+	tc-is-clang && emake_pars+=("CLANG=1")
+	use !lua    && emake_pars+=("NO_LUA=1")
+
+	emake -C "${WORKDIR}/lexilla/src" "${emake_pars[@]}"
+	emake -C "${WORKDIR}/scintilla/gtk" "${emake_pars[@]}"
+	emake "${emake_pars[@]}"
+}
+
+# want to use the base src_install() as base_src_install()
+
+src_install() {
+	GTK3=1 default
+	dosym SciTE /usr/bin/scite
+}


             reply	other threads:[~2023-04-23  8:02 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-23  8:02 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-29 12:30 [gentoo-commits] repo/gentoo:master commit in: app-editors/scite/ Joonas Niilola
2023-05-27 10:47 Sam James
2023-05-25  8:04 Arthur Zamarin
2023-05-25  8:02 Arthur Zamarin
2023-04-23  8:02 Sam James
2023-04-23  5:02 Sam James
2022-11-18 17:44 Arthur Zamarin
2022-11-14  7:44 Joonas Niilola
2022-11-14  7:44 Joonas Niilola
2022-09-12 13:40 Joonas Niilola
2022-09-12 13:40 Joonas Niilola
2022-09-01 17:50 Matt Turner
2022-08-29  7:22 Joonas Niilola
2022-08-29  7:22 Joonas Niilola
2022-07-23 12:50 Joonas Niilola
2022-07-23 12:50 Joonas Niilola
2022-05-17  5:34 Sam James
2021-12-20 11:06 Joonas Niilola
2021-12-20 11:06 Joonas Niilola
2021-12-20 11:06 Joonas Niilola
2021-12-11 19:10 Arthur Zamarin
2021-12-11 14:42 Jakov Smolić
2021-12-11 12:45 Jakov Smolić
2021-10-29 13:31 Yixun Lan
2021-10-04 12:33 Joonas Niilola
2021-09-21 16:35 Sam James
2021-09-19 22:12 Sam James
2021-09-19 22:12 Sam James
2021-09-10  7:22 Joonas Niilola
2021-09-10  7:22 Joonas Niilola
2021-09-10  7:22 Joonas Niilola
2020-12-03 22:58 Marek Szuba
2020-08-21  7:15 Joonas Niilola
2020-08-21  7:15 Joonas Niilola
2020-08-21  7:15 Joonas Niilola
2020-04-28  7:44 Joonas Niilola
2020-04-21  8:18 Joonas Niilola
2020-02-03 15:24 Agostino Sarubbo
2020-02-03 12:38 Agostino Sarubbo
2020-02-03 12:30 Agostino Sarubbo
2019-11-09  8:00 Joonas Niilola
2019-10-27  9:12 Michał Górny
2019-10-27  9:12 Michał Górny
2019-08-03 11:38 Jonas Stein
2019-06-04 20:54 Agostino Sarubbo
2019-06-04 14:45 Thomas Deutschmann
2019-03-20 18:26 Aaron Bauman
2019-02-15 15:04 Agostino Sarubbo
2018-05-20  0:16 Aaron Bauman
2018-04-16 21:26 Sergei Trofimovich
2018-03-31 21:46 Aaron Bauman
2018-02-11 10:01 Michał Górny
2017-11-18  1:26 Jonas Stein
2017-11-17  0:11 Jonas Stein
2017-11-16 22:40 Jonas Stein
2017-11-13 19:51 Jonas Stein
2017-08-23 16:07 Michał Górny
2017-01-29 14:38 Fabian Groffen
2016-07-04  0:05 Göktürk Yüksek
2016-05-13 16:04 Ian Delaney
2016-05-05  8:06 Ian Delaney
2016-05-05  8:06 Ian Delaney
2016-05-03 10:55 Sam Jorna
2016-04-10  6:59 Ian Delaney
2015-12-28 15:06 Agostino Sarubbo
2015-09-25 14:11 Ian Delaney
2015-09-20  6:29 Ian Delaney
2015-09-19 12:32 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1682236843.3a10082fde0b039efcf32e87a459ce413f70d891.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox